// ------------------------------------------------------------
// Patternlab organisms
// ------------------------------------------------------------

/* ::Global */
/* ------------------------------------------------------------ */

/* Global > header */

header{
   @media (min-width: $screen-sm){
      & > .row{
         display: flex;
         align-items: center;
      }
   }
   @include margin-top($spacing-lg-responsive);
   @include margin-bottom($spacing-xl-responsive);
}

/* Global > footer */

footer{
  margin-bottom: $spacing-md;
  p{
    margin-bottom: 0;
    @include font-size($delta-font-sizes);
  }
  .credit{
    @include font-size($delta-font-sizes);
  }
}

/* Article */

figure:not(.big) img.lazy:hover{
  opacity: 0;
}

figure:not(.big) img.lazy{
  cursor: -webkit-zoom-in;
  cursor: -moz-zoom-in;
  cursor: zoom-in;
}



.gallery{
  span{
    position: absolute;
    z-index: 1;
    top: 5px;
    left: 10px;
    text-decoration: none;
    color: $base-color;
  }
  figure > div{
    position: relative;
    img{
      position: relative;
      z-index: 2;
    }
  }
}

/* Article > article gallery lightbox */

.gallery-lightbox{

  .item a{
    display: inline-block;
    box-shadow: 0px 0px 0px $default-border-width $action inset;
    position: relative;
  }

  span{
    color: $action;
  }

  span.sm2_button{
    width: 18px;
    height: 18px;
    border-radius: 20px;
    left: auto;
    right: 10px;
    top: 10px;
  }

  img{
    position: relative;
    z-index: 2;
    height: auto;
  }

  figcaption{
    display: none;
  }

  // margins
  @media (min-width: $screen-sm){
    &.margin-none .item  {padding: 0;}
    &.margin-sm   .item  {padding: .2em;}
    &.margin-md   .item  {padding: .6em;}
    &.margin-lg   .item  {padding: 1.2em;}
    &.margin-xl   .item  {padding: 2.4em;}
  }

  @media (max-width: $screen-sm){
    height: auto !important;

    &.margin-none .item  {padding: 0;}
    &.margin-sm   .item  {padding: .2em 0;}
    &.margin-md   .item  {padding: .6em 0;}
    &.margin-lg   .item  {padding: 1.2em 0;}
    &.margin-xl   .item  {padding: 2.4em 0;}

    a,img{
      max-width: 100%;
    }
    figure{
      position: static !important;
    }
    img{
      height: auto !important;
    }
  }

}

/* Article > article gallery slide */

.gallery-slide{
   width: 100%;
   overflow-x: auto;
   white-space: nowrap;
   display: block;

   figure.item{
      margin-right: $grid-gutter-width/2;
      display: inline-block;
      &:first-of-type{
        padding-left: $grid-gutter-width/2;
      }
   }
   .item > div{
      // @include box-shadow(0px 0px 0px $default-border-width $base-color inset);
      display: table;
   }
   img{
      height: 50vh !important;
      width: auto !important;
      display: block;
   }
   .vertical img{
    height: 65vh !important;
   }
   figcaption{
      @include margin-bottom($spacing-lg-responsive);
      display: table-caption;
      caption-side: bottom;
      white-space: normal !important;
   }

   cursor: move;
   cursor: -webkit-grab;
   cursor: grab;

   &.grab {
      cursor: -webkit-grabbing;
      cursor: grabbing;
   }
}

.slide-container{
  position: relative;
  .arrows{
    .arrow{
      position: absolute;
      // top: 50%;
      @include calc("bottom", "30vh + 30px");
      .single-publications & {
        @include calc("bottom", "50% - 15px");
      }
      width: 36px;
      height: 31px;
      margin-top: -15px;
      text-indent: -9999px;
      z-index: 100;
    }
    .arrow-right{
      background: url('../images/next.svg') no-repeat center center;
      right: $grid-gutter-width;
      @media (max-width: $screen-sm){
        right: $grid-gutter-width/2;
      }
    }
    .arrow-left{
      background: url('../images/previous.svg') no-repeat center center;
      left: $grid-gutter-width;
      @media (max-width: $screen-sm){
        left: $grid-gutter-width/2;
      }
    }
  }
}

/* Article > article gallery grow */
.gallery-grow{

  // margins petit ecran
  &.margin-none .item  {padding: 0em;}
  &.margin-sm   .item  {padding: .6em 0em;}
  &.margin-md   .item  {padding: 1em 0em;}
  &.margin-lg   .item  {padding: 2em 0em;}
  &.margin-xl   .item  {padding: 3em 0em;}

  @media (min-width: $screen-sm){

    display: flex;
    flex-wrap: wrap;

    // horizonal alignment
    &.gallery-align-left        {justify-content: flex-start;}
    &.gallery-align-center      {justify-content: center;}
    // vertical alignment
    .item{
      display: flex;
      flex-direction: column;
    }
    &.item-align-top .item        {justify-content: flex-start;}
    &.item-align-center .item     {justify-content: center;}
    &.item-align-bottom .item     {justify-content: flex-end;}

    // margins grand ecran
    &.margin-none .item  {padding: 0;}
    &.margin-sm   .item  {padding: .2em;}
    &.margin-md   .item  {padding: .5em;}
    &.margin-lg   .item  {padding: 1em;}
    &.margin-xl   .item  {padding: 2em;}

  }

}

article{
  @include margin-bottom($spacing-xxxl-responsive);
}

// external links

.external{
  position: relative;
  a:hover{
    &:after{
      position: absolute;
      top: 0;
      right: 0;
      content: "↗";
    }
  }
}

// sound
.sound{
  display: inline-block;
  margin-top: $spacing-xs;
  &:not(:first-of-type){
    margin-left: $spacing-xs;
  }
  a,
  span{
    display: inline-block;
  }
  span{
    padding-left: $spacing-xs/2;
    vertical-align: bottom;
  }
}

.sm2_button {
 position:relative;
 display:inline-block; /* If you worry about old browser bugs, Firefox 2 might not like this and may need -moz-inline-box instead. :D */
 width: 25px;
 height: 25px;
 text-indent:-9999px; /* don't show link text */
 overflow:hidden; /* don't draw inner link text */
 vertical-align:middle;
  border-radius: 50px;
  background-color: $action;
  color: white;
 margin-top:-1px; /* vertical align tweak */
 /* safari 3.1+ fun (/W3 working draft extension, TBD.) */
 -webkit-transition-property: hover;
 -webkit-transition: all 0.2s ease-in-out;
 -moz-transition: all 0.2s ease-in-out 0s; /* firefox 4 (couldn't sort out -moz-transform vs. MozTransform, so, "all" for now) */
 -o-transition-property: background-color; /* opera 10.5 */
 -o-transition-duration: 0.15s;
 /* weird IE 6/7 display fixes, and/or I'm doing it wrong */
 *text-indent:0px;
 *line-height:99em;
 *vertical-align: top;
}
a.sm2_button:focus {
 outline:none; /* maybe evil, but don't show the slight border outline on focus. */
}
.sm2_button,
a.sm2_button.sm2_paused:hover {
 background-color: $action;
 background-image:url(../images/arrow-right-white.png);
 /* where possible, use data: and skip the HTTP request. Fancy-pants. Would use short-hand background: for above, but IE 8 doesn't override background-image. */
 // background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAkAAAAKCAYAAABmBXS+AAAAbklEQVQY02NgQAL//v1jZMAF/v//vwuIs9HEUBUBTbj4HwIeA3EGVsVAxtn/qOAVUGM8uknIiv4hsV8A5ZKxKfoLVvnvHwifAzLtMKwDSQLBVSBti27dJajkcSD2RJODO3wtkOOMz/tMSJJYAxMA5dmsL0IfubQAAAAASUVORK5CYII=);
 background-image: none, url(../images/arrow-right-white-2x.png);
 background-size: 9px 10px;
 *background-image:url(../images/arrow-right-white.gif); /* IE 6+7 don't do DATA: URIs */
 background-repeat:no-repeat;
 background-position: 55% center;
}
a.sm2_button:hover,
a.sm2_button.sm2_playing,
a.sm2_button.sm2_playing:hover {
 background-color: $action;
}
a.sm2_button.sm2_playing,
a.sm2_button.sm2_playing:hover {
 animation: 3s rotate360 infinite linear;
}
a.sm2_button.sm2_paused,
a.sm2_button.sm2_paused:hover {
 background-color: $action;
}

@keyframes rotate360 {
  to { transform: rotate(360deg); }
}
